質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.77%

Ruby on Railsをインストールできないです。

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,642

makoto-n

score 394

Railsを業務でよく使用すると聞きましたので、学習も兼ねてコンテンツを作成しようとしています。
が、Railsをインストールできません。
OSはmac osxです。
システムに入っている既存のrubyとインストールしたrubyが異なるためか、パスが通っていないのか
原因は多々ありそうですが、解決にいたれていません。

Railsをrails-LTで作成していきたいです。
インストールするための御助力をお願いします。

$ mkdir rails-LT
$ cd rails-LT
$ bundle install --path=vendor/bundle
Traceback (most recent call last):
    2: from /usr/local/bin/bundle:23:in `<main>'
    1: from /usr/local/Cellar/ruby/2.5.3_1/lib/ruby/2.5.0/rubygems.rb:308:in `activate_bin_path'
/usr/local/Cellar/ruby/2.5.3_1/lib/ruby/2.5.0/rubygems.rb:289:in `find_spec_for_exe': can't find gem bundler (>= 0.a) with executable bundle (Gem::GemNotFoundException)
$ ls
$ gem install rails -v 5.1.6
ERROR:  While executing gem ... (Gem::FilePermissionError)
    You don't have write permissions for the /Library/Ruby/Gems/2.3.0 directory.
$ which ruby
/Users/***/.rbenv/shims/ruby
$ which bundle
/Users/***/.rbenv/shims/bundle
$ ruby -v
ruby 2.3.7p456 (2018-03-28 revision 63024) [universal.x86_64-darwin18]
$ rbenv -v
rbenv 1.1.1
$ which rbenv
/usr/local/bin/rbenv
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+1

$ bundle install --path=vendor/bundle
Traceback (most recent call last):
    2: from /usr/local/bin/bundle:23:in `<main>'
    1: from /usr/local/Cellar/ruby/2.5.3_1/lib/ruby/2.5.0/rubygems.rb:308:in `activate_bin_path'
/usr/local/Cellar/ruby/2.5.3_1/lib/ruby/2.5.0/rubygems.rb:289:in `find_spec_for_exe': can't find gem bundler (>= 0.a) with executable bundle (Gem::GemNotFoundException)


can't find gem bundlerと出力されているのでbundlerがインストールされているか疑ってみます
bundlerとはgemの一種でgemの依存関係を考慮してインストールするgemです。

$ gem install rails -v 5.1.6
ERROR:  While executing gem ... (Gem::FilePermissionError)
    You don't have write permissions for the /Library/Ruby/Gems/2.3.0 directory.


これはアクセス拒否ではないですか?
suで実行してみましょう。

sudo gem install rails -v 5.1.6

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/12/21 11:16

    回答ありがとうございます。
    https://qiita.com/TAByasu/items/47c6cfbeeafad39eda07
    を参考に私なりに試行錯誤して、bash_profileに記述していなかったです。

    キャンセル

  • 2018/12/21 11:17

    次の問題ですが、
    bundle install --path=vendor/bundle
    を実行したところ、

    HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
    But that may break your application.

    Please check your Rails app for 'config.i18n.fallbacks = true'.
    If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
    'config.i18n.fallbacks = [I18n.default_locale]'.
    If not, fallbacks will be broken in your app by I18n 1.1.x.

    と表示されています。

    キャンセル

  • 2018/12/21 11:19

    bundler -h
    は実行できるので
    bundlerは入れれていると思います

    キャンセル

  • 2018/12/21 11:57

    すみません、解決しました。。
    純粋にbash_profileに記述していないことがネックになっていました。
    お騒がせしました。

    キャンセル

0

rbenv install 2.5.3
rbenv local 2.5.3
gem install bundler rails

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.77%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る